
local M = {}
M.type = "auxilliary"
M.relevantDevice = nil

local speedThresholdPosition = 0.2

local sunesNormal = 0
local sunesActive = 1

local function init()
    electrics.values.sunes_fr = 0
    electrics.values.sunes_fl = 0
    electrics.values.sunes_rr = 0
    electrics.values.sunes_rl = 0
end

local function updateGFX(dt)
	--Suspention hydros
    local sunes_fr = electrics.values.sunes_fr
    local sunes_fl = electrics.values.sunes_fl
    local sunes_rr = electrics.values.sunes_rr
    local sunes_rl = electrics.values.sunes_rl
	--Cars information
    local speed = electrics.values.wheelspeed
    local brake = electrics.values.brake
    local throttle = electrics.values.throttle
    local steering = electrics.values.steering_input
	
    local brakecomp = brake*0.3
    local throttlecomp = throttle*0.2
    local negsteeringcomp = -steering*0.7
    local possteeringcomp = steering*0.7

	if brake > 0 and speed > speedThresholdPosition then sunes_fr = brakecomp
	else sunes_fr = sunesNormal
	end
	if brake > 0 and speed > speedThresholdPosition then sunes_fl = brakecomp
	else sunes_fl = sunesNormal
	end
	
	if throttle > 0 and speed > speedThresholdPosition then sunes_rr = throttlecomp
	else sunes_rr = sunesNormal
	end
	if throttle > 0 and speed > speedThresholdPosition then sunes_rl = throttlecomp
	else sunes_rl = sunesNormal
	end

	--if steering < -0.1 then sunes_fr = negsteeringcomp
	--else sunes_rl = sunesNormal
	--end
	--if steering > 0.1 then sunes_fl = possteeringcomp
	--else sunes_fl = sunesNormal
	--end


    electrics.values.sunes_fr = sunes_fr
    electrics.values.sunes_fl = sunes_fl
    electrics.values.sunes_rr = sunes_rr
    electrics.values.sunes_rl = sunes_rl
end

M.updateGFX = updateGFX

return M